<?xml version="1.0" encoding="utf-16"?>
<MyMPConfig xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <Name>Port.hu</Name>
  <HomePage>http://port.hu</HomePage>
  <Language>Hungarian</Language>
  <Author>BlueLight</Author>
  <Version>0.1</Version>
  <SupportsCastAndDirector>true</SupportsCastAndDirector>
  <SupportsCover>false</SupportsCover>
  <SupportsPlot>true</SupportsPlot>
  <SupportsRating>false</SupportsRating>
  <!-- List of urls to look for movies (you can set only one or add as many as you want) -->
  <!-- They are used in the order of the file. -->
  <!-- Enabled = true or false (to disable temporarely an url without remove it from configuration file) -->
  <!-- Url = {0} will be replaced by the title of the movie  -->
  <!--       some websites offers to cycle through result pages, then you could use {1} for it -->
  <!-- RegExp = regular expression used to parse result list, should return 'link' and 'title' within one regexp -->
  <!-- MoviePlotLink = will try to get plot of the movie from those urls (in that particular order), and will stop as soon as it gets one -->
  <!--                 should at least contains one value. -->
  <!-- MaxResult = will stop movie retrieval with this url after it finds this number of movie -->
  <!-- NextPage = only used with page cycle (parameter {1} of the Url used for searching), loop while we find it -->
  <SearchUrls>
    <Search>
      <Enabled>true</Enabled>
      <Url>http://port.hu/pls/ci/cinema.film_creator?i_text={0}&amp;i_film_creator=1</Url>
      <RegExp>i_film_id=(?&lt;Link&gt;.*?)[&amp;].*?" target="_top"&gt;(?&lt;Title&gt;.*?)&lt;/a&gt;</RegExp>
      <MoviePlotLink>
        <string>http://port.hu/pls/fi/films.film_page?i_where=2&amp;i_film_id={0}</string>
      </MoviePlotLink>
      <MaxResult>10</MaxResult>
    </Search>
  </SearchUrls>
  <!-- MaxResult = global limitation for number of movie results -->
  <MaxResult>15</MaxResult>
  <!-- Regular expressions to find Title, Original Title, Year and Runtime -->
  <RegExp_Title>blackbigtitle"&gt;(?&lt;1&gt;.*?)&lt;/</RegExp_Title>
  <RegExp_OriginalTitle>class="txt"&gt;\((?&lt;1&gt;.*?)\)&lt;/span&gt;</RegExp_OriginalTitle>
  <RegExp_Year>perc, (?&lt;1&gt;.*?)&lt;/span</RegExp_Year>
  <RegExp_Runtime>, (?&lt;1&gt;\d*?) perc</RegExp_Runtime>
  <!-- Regular expressions to look for plot -->
  <!-- options allow to remove specials characters before using regexp -->
  <ReplaceLFbySpaceBeforeRegExpPlot>true</ReplaceLFbySpaceBeforeRegExpPlot>
  <ReplaceCRbySpaceBeforeRegExpPlot>true</ReplaceCRbySpaceBeforeRegExpPlot>
  <ReplaceTBbySpaceBeforeRegExpPlot>true</ReplaceTBbySpaceBeforeRegExpPlot>
  <RegExp_Plot>span class="txt"&gt;(?&lt;1&gt;\b[\S].*?)&lt;/span&gt;&lt;span class="txt"&gt;&lt;/span&gt;</RegExp_Plot>
  <!-- Regular expressions to look for genres, directors and actors -->
  <RegExp_Genres>span class="btxt"&gt;(?&lt;1&gt;\D*?), \d.*? perc</RegExp_Genres>
  <RegExp_Directors>rendez.:.*?" target="_top"&gt;(?&lt;1&gt;.*?)&lt;br/&gt;</RegExp_Directors>
  <Actors_MultipleMatches>true</Actors_MultipleMatches>
  <RegExp_Actors>a href="/pls/pe/perso.*?" target="_top"&gt;(?:&lt;b&gt;|)(?&lt;1&gt;.*?)&lt;</RegExp_Actors>
  <!-- Encoding used to send Title, and to read HTML pages -->
  <TitleEncoding>default</TitleEncoding>
  <ContentEncoding>default</ContentEncoding>
</MyMPConfig>